function unableScroll() {
	var top = $(document).scrollTop();
	$(document).on('scroll.unable',function (e) {
		$(document).scrollTop(top);
	})
}
function enableScroll() {
	$(document).unbind("scroll.unable");
}
$(function(){
	$('.navBtn').click(function(){		
		if($('.nav').hasClass('open')){
			$('.nav').removeClass('open');
			enableScroll();
		}else{
			$('.nav').addClass('open');
			unableScroll();
		}		
	});	
	$('.schbtn').click(function(){
		$('.searchform').toggleClass('open');
	});
	$('.searchform .submit').click(function(){
		var _val = $(this).siblings().children('.text').val();
		if(_val==''){
			alert('请输入搜索关键词！');
			return false;
		}
	});
	$('.divSearchPanel input[type="submit"]').click(function(){
		var _val = $(this).siblings().val();
		if(_val==''){
			alert('请输入搜索关键词！');
			return false;
		}
	});
	if($('#slides').length > 0){
		$("#slides").on('initialize.owl.carousel initialized.owl.carousel ',
		function(e) {
			$('div.load').remove();                 
		});
		$('#slides').owlCarousel({
			items:1,
			loop:true, 
			mouseDrag:true,
			autoplay:true,
			nav:true,	
			dots:false
		}); 
	}
	$('.nav li').each(function(){
		
		if($(this).children('ul').length > 0){
			$(this).children('a').after('<em></em>');
		}
	});
	$('.nav li em').click(function(){
		$(this).toggleClass('open').siblings('ul').stop().slideToggle('fast').parent().siblings('li').children('em').removeClass('open').siblings('ul').slideUp('fast');
	});
	
	$(window).resize(function(){
		if($('body').width() > 768){
			enableScroll();
			$('.nav').removeClass('open');
			$('.nav li').on('mouseover mouseleave');
			$('.nav li').mouseover(function(){
				if($(this).children('ul').length > 0){
					$(this).addClass('on').children('ul').stop().slideDown('fast');
				}			
			}).mouseleave(function(){
				$(this).removeClass('on').children('ul').stop().slideUp('fast');
			});
		}else{
			$('.nav li').off('mouseover mouseleave');
		}
	}).trigger('resize');
	
	$('.social .wx a').click(function(){
		$(this).toggleClass('on').siblings('.qrcode').stop().fadeToggle('fast');
	});	
});